Subject: [bug#64738] [PATCH] gnu: Make Mesa use zstd compression for shader cache instead of zlib.

From: 宋文武 <[email-masked]>
Date: Thu, 20 Jul 2023 18:22:20 +0800

Sigve Sudland <[email-masked]> writes:

> * gnu/packages/gl.scm (mesa): Enable zstd compression.

Good idea!  Follow our commit log style, I adjust it to:

    gnu: mesa: Enable zstd compression for shader cache.
    
    * gnu/packages/gl.scm (mesa)[inputs]: Add zstd:lib.
    [arguments]: Add '-Dzstd=enabled' to configure-flags.

And apply it on the mesa-updates branch locally, wait it building, once
done I'll pushed it to the mesa-updates branch.  I think this issue
should be closed when it got merged into master.

Thank you!